
; test the image deconvolution

x = lindgen(256,256) mod 256
y = lindgen(256,256) / 256
x0 = floor(256/2)
y0 = floor(256/2)
d2 = double(x-x0)^2 + double(y-y0)^2

g = exp(-d2/25.)
ss = where(g LT .1)
g[ss] = 0.
g = g/total(g)
fg = fft(shift(g,-floor(256/2),-floor(256/2)),+1)

image = fltarr(256,256)+1.
s = 1
image[x0-s:x0+s,y0-s:y0+s] = 100.
fimage = fft(image,+1)

data = fftconvol(fimage,fg)
data = reform(randomp(seed,data),256,256)
;data[0:64,*]=0.  ; guard band
;data[*,0:64]=0.
;data[192:*,*]=0.
;data[*,192:*]=0.
fdata = fft(data,+1,/double)

guess = data

new = image_deconvolve(data,g,sqrt(data)>1, $
                       double=0, $
                       uselog=1, $
                       positive=0, $
                       usepsfcorr=1, $
                       guess=guess, $
                       usepoisson=1, $
                       memweight=1.0, $
                       fixmemweight=0)

end
